Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.exception
Class ApplicationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.beasys.commerce.foundation.exception.ApplicationException

All Implemented Interfaces
  MessageCatalogException, Serializable

Direct Known Subclasses:
  BMPException, CatalogException, DiscountException, IllegalWorkflowTransitionException, InconsistentStateException, InvalidArgumentException, InvalidCurrencyException, ItemNotInShoppingCartException, OrderInventoryException, OrderInvoicingException, OrderShippingException, PaymentException, PaymentProcessException, PricingException, ProcessingException, ShippingMethodException, TaxException

Deprecated See BEA Commerce product offering

    @Deprecated
    public class ApplicationException

extends Exception
implements MessageCatalogException

The `ApplicationException` class is used to signal checked business logic exceptions to a caller. It is the base application exception class.

The `ApplicationException` class is closely tied to the `MessageCatalog`. An `ApplicationException` contains a log and user message that is constructed using the `MessageCatalog`. In fact, each `ApplicationException` derivative should have at least one user and log catalog message.

In the case of an EJB, the following guidelines should be followed:

According to the EJB 1.1 specification, an application exception is an exception defined in the throws clause of the enterprise bean home and remote interfaces, other than the `RemoteException`.

A bean provider is responsible for defining application exceptions in bean remote and home interfaces and is also responsible for throwing an appropriate application exception from a bean method to report a business logic exception to the client. If necessary, the bean provider should subclass the `ApplicationException` class to create package-specific application exceptions. However, a bean provider is responsible for using the standard EJB application exceptions (`CreateException`, `FinderException`, `RemoveException`, `DuplicateKeyException`, `ObjectNotFoundException`) where appropriate.

Since an application exception does not, and should not, automatically mark the existing transaction (if any) for rollback, the bean provider must do one of the following before throwing the exception, in order to insure data integrity:

- Ensure that the instance is in a consistent state.
- Mark the transaction for rollback using `EJBContext.setRollbackOnly()`.

The second option is only available when the bean is deployed with Container managed transaction management. Therefore, in order not to tie the bean implementation to a specific deployment, try to avoid using `setRollbackOnly` at all costs. If this is not possible, consider using a `FatalApplicationException`.

See Also
  `MessageCatalog`, `FatalApplicationException`, `MessageCatalogException`, Serialized Form

Field Summary
`protected Exception` | `embeddedException` Deprecated See BEA Commerce product offering
`protected Stack` | `logMessages` Deprecated See BEA Commerce product offering
`protected Stack` | `userMessages` Deprecated See BEA Commerce product offering

Constructor Summary
`ApplicationException()` Deprecated See BEA Commerce product offering
`ApplicationException(ApplicationException topException, ApplicationException bottomException)` Deprecated See BEA Commerce product offering
`ApplicationException(String namespace, String messageKey)` Deprecated See BEA Commerce product offering
`ApplicationException(String namespace, String messageKey, Exception exception)` Deprecated See BEA Commerce product offering
`ApplicationException(String namespace, String messageKey, Object argument)` Deprecated See BEA Commerce product offering
`ApplicationException(String namespace, String messageKey, Object[] arguments)` Deprecated See BEA Commerce product offering
`ApplicationException(String namespace, String messageKey, Object[] arguments, Exception exception)` Deprecated See BEA Commerce product offering
`ApplicationException(String namespace, String messageKey, Object argument, Exception exception)` Deprecated See BEA Commerce product offering

Method Summary
`void` | `addLogMessage(String namespace, String messageKey)` Deprecated See BEA Commerce product offering
`void` | `addLogMessage(String namespace, String messageKey, Object argument)` Deprecated See BEA Commerce product offering
`void` | `addLogMessage(String namespace, String messageKey, Object[] arguments)` Deprecated See BEA Commerce product offering
`void` | `addMessage(String namespace, String messageKey)` Deprecated See BEA Commerce product offering
`void` | `addMessage(String namespace, String messageKey, Object argument)` Deprecated See BEA Commerce product offering
`void` | `addMessage(String namespace, String messageKey, Object[] arguments)` Deprecated See BEA Commerce product offering
`void` | `addUserMessage(String namespace, String messageKey)` Deprecated See BEA Commerce product offering
`void` | `addUserMessage(String namespace, String messageKey, Object argument)` Deprecated See BEA Commerce product offering
`void` | `addUserMessage(String namespace, String messageKey, Object[] arguments)` Deprecated See BEA Commerce product offering
`Exception` | `getEmbeddedException()` Deprecated See BEA Commerce product offering
`String` | `getLocalizedMessage()` Deprecated See BEA Commerce product offering
`String` | `getLogMessage()` Deprecated See BEA Commerce product offering
`Iterator` | `getLogMessages()` Deprecated See BEA Commerce product offering
`String` | `getMessage()` Deprecated See BEA Commerce product offering
`String` | `getUserMessage()` Deprecated See BEA Commerce product offering
`Iterator` | `getUserMessages()` Deprecated See BEA Commerce product offering
`String` | `toString()` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### embeddedException

    protected Exception embeddedException

  Deprecated See BEA Commerce product offering
  The embedded exception.

### logMessages

    protected Stack logMessages

  Deprecated See BEA Commerce product offering
  The log messages.

### userMessages

    protected Stack userMessages

  Deprecated See BEA Commerce product offering
  The user messages.

Constructor Detail

### ApplicationException

    public ApplicationException()

  Deprecated See BEA Commerce product offering

  Constructs an `ApplicationException` with no associated message.

### ApplicationException

    public ApplicationException(ApplicationException topException,
                                ApplicationException bottomException)

  Deprecated See BEA Commerce product offering

  Constructs an `ApplicationException` from two source `ApplicationException`s by concatinating the screen and log messages of the two source `ApplicationException`s. The messages of the first `ApplicationException` will preceed those of the second in the constructed `ApplicationException`. Furthermore, the new `ApplicationException` will have the embedded exception of the first `ApplicationException` associated with it.

  Parameters
    `ApplicationException` - topException
    `ApplicationException` - bottomException

### ApplicationException

    public ApplicationException(String namespace,
                                String messageKey)

  Deprecated See BEA Commerce product offering

  Class constructor taking the namespace and key of the associated catalog message.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.

### ApplicationException

    public ApplicationException(String namespace,
                                String messageKey,
                                Exception exception)

  Deprecated See BEA Commerce product offering

  Class constructor taking the namespace and key of the associated catalog message and an embedded exception.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `exception` - The embedded exception.

### ApplicationException

    public ApplicationException(String namespace,
                                String messageKey,
                                Object argument)

  Deprecated See BEA Commerce product offering

  Class constructor taking the namespace and key of the associated catalog message and a message parameter substitution argument.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.

### ApplicationException

    public ApplicationException(String namespace,
                                String messageKey,
                                Object argument,
                                Exception exception)

  Deprecated See BEA Commerce product offering

  Class constructor taking the namespace and key of the associated catalog message, message parameter substitution argument, and an embedded exception.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `argument` - The message parameter substitution argument.
    `exception` - The embedded exception.

### ApplicationException

    public ApplicationException(String namespace,
                                String messageKey,
                                Object[] arguments)

  Deprecated See BEA Commerce product offering

  Class constructor taking the namespace and key of the associated catalog message and message parameter substitution arguments.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.

### ApplicationException

    public ApplicationException(String namespace,
                                String messageKey,
                                Object[] arguments,
                                Exception exception)

  Deprecated See BEA Commerce product offering

  Class constructor taking the namespace and key of the associated catalog message, message parameter substitution arguments, and an embedded exception.

  Parameters
    `namespace` - The associated catalog message namespace.
    `messageKey` - The associated catalog message key.
    `arguments` - The message parameter substitution arguments.
    `exception` - The embedded exception.

Method Detail

### getEmbeddedException

    public Exception getEmbeddedException()

  Deprecated See BEA Commerce product offering

  Description copied from interface: `MessageCatalogException`
  Gets the embedded exception associated with this exception.

  Specified by:
    `getEmbeddedException` in interface `MessageCatalogException`
  Returns
    The embedded exception.

### getLogMessage

    public String getLogMessage()

  Deprecated See BEA Commerce product offering

  Description copied from interface: `MessageCatalogException`
  Returns the first log catalog message associated with this exception.

  Specified by:
    `getLogMessage` in interface `MessageCatalogException`
  Returns
    The first log catalog message associated with this exception.

### getLogMessages

    public Iterator getLogMessages()

  Deprecated See BEA Commerce product offering

  Description copied from interface: `MessageCatalogException`
  Returns an iterator over all the log catalog messages associated with this exception.

  Specified by:
    `getLogMessages` in interface `MessageCatalogException`
  Returns
    An iterator over all log catalog messages.

### addLogMessage

    public void addLogMessage(String namespace,
                              String messageKey)

  Deprecated See BEA Commerce product offering

  Description copied from interface: `MessageCatalogException`
  Adds a new log catalog message to the stack of associated messages.

  Specified by:
    `addLogMessage` in interface `MessageCatalogException`
  Parameters
    `namespace` - Log catalog message namespace.
    `messageKey` - Log catalog message key.

### addLogMessage

    public void addLogMessage(String namespace,
                              String messageKey,
                              Object argument)

  Deprecated See BEA Commerce product offering

  Description copied from interface: `MessageCatalogException`
  Adds a new log catalog message to the stack of associated messages.

  Specified by:
    `addLogMessage` in interface `MessageCatalogException`
  Parameters
    `namespace` - Log catalog message namespace.
    `messageKey` - Log catalog message key.
    `argument` - Message parameter substitution argument.

### addLogMessage

    public void addLogMessage(String namespace,
                              String messageKey,
                              Object[] arguments)

  Deprecated See BEA Commerce product offering

  Description copied from interface: `MessageCatalogException`
  Adds a new log catalog message to the stack of associated messages.

  Specified by:
    `addLogMessage` in interface `MessageCatalogException`
  Parameters
    `namespace` - Log catalog message namespace.
    `messageKey` - Log catalog message key.

### getUserMessage

    public String getUserMessage()

  Deprecated See BEA Commerce product offering

  Description copied from interface: `MessageCatalogException`
  Returns the first user catalog message associated with this exception.

  Specified by:
    `getUserMessage` in interface `MessageCatalogException`
  Returns
    The user catalog message associated with this exception.

### getUserMessages

    public Iterator getUserMessages()

  Deprecated See BEA Commerce product offering

  Description copied from interface: `MessageCatalogException`
  Returns an iterator over all the user catalog messages associated with this exception.

  Specified by:
    `getUserMessages` in interface `MessageCatalogException`
  Returns
    An iterator over all user catalog messages.

### addUserMessage

    public void addUserMessage(String namespace,
                               String messageKey)

  Deprecated See BEA Commerce product offering

  Description copied from interface: `MessageCatalogException`
  Adds a new user catalog message to the stack of associated messages.

  Specified by:
    `addUserMessage` in interface `MessageCatalogException`
  Parameters
    `namespace` - User catalog message namespace.
    `messageKey` - User catalog message key.

### addUserMessage

    public void addUserMessage(String namespace,
                               String messageKey,
                               Object argument)

  Deprecated See BEA Commerce product offering

  Description copied from interface: `MessageCatalogException`
  Adds a new user catalog message to the stack of associated messages.

  Specified by:
    `addUserMessage` in interface `MessageCatalogException`
  Parameters
    `namespace` - User catalog message namespace.
    `messageKey` - User catalog message key.
    `argument` - Message parameter substitution argument.

### addUserMessage

    public void addUserMessage(String namespace,
                               String messageKey,
                               Object[] arguments)

  Deprecated See BEA Commerce product offering

  Description copied from interface: `MessageCatalogException`
  Adds a new user catalog message to the stack of associated messages.

  Specified by:
    `addUserMessage` in interface `MessageCatalogException`
  Parameters
    `namespace` - User catalog message namespace.
    `messageKey` - User catalog message key.

### addMessage

    public void addMessage(String namespace,
                           String messageKey)

  Deprecated See BEA Commerce product offering

  Description copied from interface: `MessageCatalogException`
  Adds a new user and log catalog message to the stack of associated messages.

  Specified by:
    `addMessage` in interface `MessageCatalogException`
  Parameters
    `namespace` - User and log catalog message namespace.
    `messageKey` - User and log catalog message key.

### addMessage

    public void addMessage(String namespace,
                           String messageKey,
                           Object argument)

  Deprecated See BEA Commerce product offering

  Description copied from interface: `MessageCatalogException`
  Adds a new user catalog message to the stack of associated messages.

  Specified by:
    `addMessage` in interface `MessageCatalogException`
  Parameters
    `namespace` - User and log catalog message namespace.
    `messageKey` - User and log catalog message key.
    `argument` - Message parameter substitution argument.

### addMessage

    public void addMessage(String namespace,
                           String messageKey,
                           Object[] arguments)

  Deprecated See BEA Commerce product offering

  Description copied from interface: `MessageCatalogException`
  Adds a new user catalog message to the stack of associated messages.

  Specified by:
    `addMessage` in interface `MessageCatalogException`
  Parameters
    `namespace` - User and log catalog message namespace.
    `messageKey` - User and log catalog message key.

### getMessage

    public String getMessage()

  Deprecated See BEA Commerce product offering

  Returns the user message associated with this exception.

  Overrides:
    `getMessage` in class `Throwable`
  Returns
    The user message associated with this exception.

### getLocalizedMessage

    public String getLocalizedMessage()

  Deprecated See BEA Commerce product offering

  Returns the user message associated with this exception.

  Overrides:
    `getLocalizedMessage` in class `Throwable`
  Returns
    The user message associated with this exception.

### toString

    public String toString()

  Deprecated See BEA Commerce product offering

  Returns a string representation of this exception.

  Overrides:
    `toString` in class `Throwable`
  Returns
    A string representation of this exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved